
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Oracle--ORA-01012问题 / iVAN</title>

    <meta name="description" content="Oracle--ORA-01012问题 sqlplus / as sysdba 登录oracle时报错ORA-01012: not logged on 发生原因:关闭数据库是shutdown 后面没有接关闭参数中的任何一个. 以下是shutdown使用的一些参数 nomal ---&gt;所有连接都断开时才能关闭: transactional ---&gt;等待事务结束后,主动断开连接: immediate ---&gt;主动断开事务和连接: abort ---&gt;立刻关闭数据库,这个操作是危险的,不会同步数据,不触发检查点,回滚 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Oracle--ORA-01012问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>sqlplus / as sysdba 登录oracle时报错ORA-01012: not logged on</p>
<p>发生原因：关闭数据库是shutdown 后面没有接关闭参数中的任何一个。</p>
<p>以下是shutdown使用的一些参数</p>
<p>nomal ---&gt;所有连接都断开时才能关闭；</p>
<p>transactional ---&gt;等待事务结束后，主动断开连接；</p>
<p>immediate ---&gt;主动断开事务和连接；</p>
<p>abort ---&gt;立刻关闭数据库，这个操作是危险的，不会同步数据，不触发检查点，回滚段直接清 空，相当于掉电，每次启动都要实例恢复。</p>
<p>[root@iZ2zeh44pi6rlahxj7s9azZ ~]# su - oracle</p>
<p>[oracle@iZ2zeh44pi6rlahxj7s9azZ ~]$ sqlplus / as sysdba</p>
<p>SQL*Plus: Release 11.2.0.4.0 Production on Thu Sep 7 10:43:18 2017</p>
<p>Copyright (c) 1982, 2013, Oracle.  All rights reserved.</p>
<p>Connected.</p>
<p>SQL&gt; startup;</p>
<p>ORA-01012: not logged on</p>
<p>SQL&gt; select * from all_tables;</p>
<p>select * from all_tables</p>
<p>*</p>
<p>ERROR at line 1:</p>
<p>ORA-01012: not logged on</p>
<p>Process ID: 0</p>
<p>Session ID: 0 Serial number: 0</p>
<p><b>第一种方法：</b></p>
<p>[root@iZ2zeh44pi6rlahxj7s9azZ ~]# ps -ef | grep ora_dbw0_$Oracle_SID</p>
<p>[root@iZ2zeh44pi6rlahxj7s9azZ ~]# kill -9 pid</p>
<p>[root@iZ2zeh44pi6rlahxj7s9azZ ~]# su - oracle</p>
<p>[oracle@iZ2zeh44pi6rlahxj7s9azZ oracle]$ sqlplus / as sysdba</p>
<p>SQL*Plus: Release 11.2.0.4.0 Production on Thu Sep 7 11:31:23 2017</p>
<p>Copyright (c) 1982, 2013, Oracle.  All rights reserved.</p>
<p>Connected to:</p>
<p>Oracle Database 11g Enterprise Edition Release 11.2.0.4.0 - 64bit Production</p>
<p>With the Partitioning, Oracle Label Security, OLAP, Data Mining,</p>
<p>Oracle Database Vault and Real Application Testing options</p>
<p>SQL&gt; startup</p>
<p>ORACLE instance started.</p>
<p>Total System Global Area  768294912 bytes</p>
<p>Fixed Size            2257192 bytes</p>
<p>Variable Size          503320280 bytes</p>
<p>Database Buffers      260046848 bytes</p>
<p>Redo Buffers            2670592 bytes</p>
<p>Database mounted.</p>
<p>Database opened.</p>
<p><b>第一种方法搞不定，那么用第二种方法（利用oracle的小工具）</b></p>
<p>[root@iZ2zeh44pi6rlahxj7s9azZ ~]# sysresv</p>
<p>IPC Resources for ORACLE_SID "dtstack" :</p>
<p>Shared Memory:</p>
<p>ID        KEY</p>
<p>262145      0x00000000</p>
<p>294914      0x00000000</p>
<p>327683      0x7d9066c0</p>
<p>Semaphores:</p>
<p>ID        KEY</p>
<p>786437      0x50f506b0</p>
<p>Unable to determine if Oracle instance alivefor sid "dtstack"</p>
<p>[root@iZ2zeh44pi6rlahxj7s9azZ ~]# ipcrm -m 262145</p>
<p>[root@iZ2zeh44pi6rlahxj7s9azZ ~]# ipcrm -m 294914</p>
<p>[root@iZ2zeh44pi6rlahxj7s9azZ ~]# ipcrm -m 327683</p>
<p>[root@iZ2zeh44pi6rlahxj7s9azZ ~]# su - oracle</p>
<p>[oracle@iZ2zeh44pi6rlahxj7s9azZ oracle]$ sqlplus / as sysdba</p>
<p>SQL*Plus: Release 11.2.0.4.0 Production on Thu Sep 7 11:31:23 2017</p>
<p>Copyright (c) 1982, 2013, Oracle.  All rights reserved.</p>
<p>Connected to:</p>
<p>Oracle Database 11g Enterprise Edition Release 11.2.0.4.0 - 64bit Production</p>
<p>With the Partitioning, Oracle Label Security, OLAP, Data Mining,</p>
<p>Oracle Database Vault and Real Application Testing options</p>
<p>SQL&gt; startup</p>
<p>ORACLE instance started.</p>
<p>Total System Global Area  768294912 bytes</p>
<p>Fixed Size            2257192 bytes</p>
<p>Variable Size          503320280 bytes</p>
<p>Database Buffers      260046848 bytes</p>
<p>Redo Buffers            2670592 bytes</p>
<p>Database mounted.</p>
<p>Database opened.</p>
<p>注：</p>
<p><b>sysresv</b>的小工具来查看oracle占用的共享内存段和信号量等系统资源的一些关键信息</p>
<p><b>ipcs</b>命令用于报告Linux中进程间通信设施的状态，显示的信息包括消息列表、共享内存和信号量的信息。 </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 04:47:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/database/" title="database">database</a>, <a href="https://www.iamivan.net/tag/security/" title="Security">Security</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Oracle--ORA-01012问题的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxjaxBz.html" rel="bookmark">Oracle ORA 07445 evaopn2&lpar;&rpar;&plus;128错误问题的解决方案&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Plsql developer执行一段sql报错: 经查alert log详细报错信息为: ORA-07445: exception encountered: core dump [evaopn2()+128] [SIGSEGV] [Address not mapped to object] [0x000000000] [] [] 数据库版本 10.2.0.4.0 问题原因 复杂视图合并问题导致的oracle bug 解决方法 1.修改隐藏参数: alter system set &quot;_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMq0yab.html" rel="bookmark">Oracle自动备份数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle自动备份数据 相信为数不少的系统管理员每天都在做着同一样的工作--对数据进行备份.一旦哪一天疏忽了,而这一天系统又恰恰发生了故障,需要进行数据恢复,那么此时就无能为力了.假如每天设定一个固定的时间,系统自动进行备份,那该多好啊!下面笔者结合实践经验,谈一谈UNIX环境下Oracle数据库的自动备份,以起到抛砖引玉的作用. 我们计划让数据库在晚上23点做export导出备份,在凌晨2点将备份文件拷贝到磁带上,在凌晨4点将备份文件拷贝到另一台UNIX机器上,为此我们可进行如下操作: 一.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgK3AAM.html" rel="bookmark">Oracle 10g Physical DataGuard的搭建过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				primary 环境 DB version:oracle10.2.0.4 IP:192.168.1.7 hostname:vzwc db_name:dbserver db_unique_name:dbserver service_name:dbserver instance_name:ORCL standby 环境 DB version:oracle10.2.0.4 IP:192.168.1.6 hostname:dgstb db_name:dbserver db_unique_name:sta			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKeqOp.html" rel="bookmark">Oracle RAC数据库的启动和关闭</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RAC数据库与单实例的差异主要表现在多个实例通过集群件来统一管理共享的资源.因此原有的单实例的管理方式,如数据库.监听器等的关闭启动等可以使用原有的方式进行,也可以通过集群管理工具,命令行来集中管理,这也是推荐的管理方式.由于集群件crs位于数据库之上,即RAC数据库依赖于集群件,因此数据库的启动与关闭应该结合集群来考虑,下面以10g RAC来描述数据库启动与关闭过程,不涉及集群层的启动与关闭. 一.RAC 数据库启动与关闭顺序 1.关闭顺序 关闭OEM,关闭监听,关闭 Oracle 实例,关闭			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myr1W5p.html" rel="bookmark">安装ORACLE 10g for sun solaris的过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.修改Solaris 系统参数 vi /etc/system ( 在此文件末尾加入以下几行 ) set shmsys:shminfo_shmmax=18442450944 set shmsys:shminfo_shmmin=1 set shmsys:shminfo_shmmni=100 set shmsys:shminfo_shmseg=10 set semsys:seminfo_semmns=1000          #processes+instance_processes+system			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLoWKb.html" rel="bookmark">Linux下Oracle自动启动脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 修改Oracle系统配置文件/etc/oratab /etc/oratab 格式为: SID:ORACLE_HOME:AUTO 把AUTO域设置为Y(大写),只有这样,oracle 自带的dbstart和dbshut才能够发挥作用.我的为: ora9i:/home/oracle/ora/products/9.2.0:Y 2. 编写服务脚本: vi /etc/rc.d/init.d #!/bin/bash # #################FUNCTION############# #			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRyVXBb.html" rel="bookmark">Oracle错误ORA-01950的解决</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				环境:Oracle 11g R2 + SQLPlus 问题:创建用户,创建表时出现ORA-01950错误对表空间 &quot;system&quot;无权限 解决:出现这个问题,很显然的是权限问题.在创建用户后,授予权限不 正确. 方法一: 打开SQL Plus------------&gt;执行以下命令: conn system/manager; grant resource to tiger; 说明:授予权限不一定是tiger,这里是举例.实际应该是你新创建的用 户. 方法二:  打开SQL Plus			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkw2W1p.html" rel="bookmark">Grid&plus;ASM&plus;Oracle Database 12c安装配置教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				备注:工作需要开始学习oracle,之前只学习过mysql的一些基础东东,oracle对我而言是一个新的数据体系,作为初学者,很多地方可能写的不对,只是个人理解,误导之处,请谅解,求指正![Byrd:2016年7月3日]   环境基础:   虚拟机IP(LINUX):1.1.1.212  本地IP(WIN):1.1.1.1  变量配置:   [root@oracle01 ~]# uname -a  Linux oracle01.db.hangzhou.t4x.org 2.6.32-358.el6			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVrGjz.html" rel="bookmark">Oracle归档日志写满&lpar;ora-00257&rpar;了怎么办&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle数据库报错ORA-00257: archiver error. Connect internal only, until freed ,如何解决呢?此问题定位在归档日志满了,下面把具体解决办法总结分享给大家. 解决办法: SQL&gt; select * from V$FLASH_RECOVERY_AREA_USAGE; --查看归档内容使用情况 FILE_TYPE    PERCENT_SPACE_USED PERCENT_SPACE_RECLAIMABLE NUMBER_OF_FILE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0A6Op.html" rel="bookmark">oracle报错（ORA-00600）问题处理&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				告警日志里这两天一直显示这个错误: ORA-00600:internalerrorcode,arguments:[kcblasm_1],[103],[],[],[],[],[],[] TueAug1209:20:17CST2014 Errorsinfile/u01/app/oracle/admin/orcl/udump/orcl_ora_29974.trc: ORA-00600:internalerrorcode,arguments:[kcblasm_1],[103],[],[],[],[],[			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjD46p.html" rel="bookmark" class="title">w3c技术架构介绍</a>
					<div>
						w3c|架构 作者:阿宏 2006-2-10 9:38:04 原文:http://www.w3.org/Consortium/technology 原作者:w3c 翻译:阿宏 图例说明 W3C技术架构 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4V19M.html" rel="bookmark" class="title">用SQLJ开发数据库</a>
					<div>
						数据|数据库 SQLJ的概述 今天的企业级应用程序通常运行在多数据库平台上,例如Oracle.DB2.Sybase.SQL Server.Informix等等.在这个环境里,代码的可移殖性和可维护性正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGGelz.html" rel="bookmark" class="title">用文本&plus;ASP打造新闻发布系统&sol;图片上传（不是我写的）upload&period;inc</a>
					<div>
						上传 &lt;SCRIPT RUNAT=SERVER LANGUAGE=VBSCRIPT&gt; Function GetUpload(FormData)     Dim DataStart,DivS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxXymM.html" rel="bookmark" class="title">如何借助高权重平台攻占长尾关键词市场</a>
					<div>
						长尾理论的诞生给互联网创业者带来了许多有价值的新模式,让我们注意了以往常常被忽略的一些市场角落,而事实上在这些看似不起眼的角落之中却隐藏着足以让你赚钱致富的商机.对于站长而言,长尾理论用得好可以让你避 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGj003p.html" rel="bookmark" class="title">MFC教程（5）-- MFC对象的创建（2）</a>
					<div>
						从这些图中可以看到何时.何处调用了什么消息处理函数和虚拟函数,这些函数用来作了什么事情.必要的话,程序员可以在派生类覆盖它们. 在创建工作完成之后,进行初始化,使用文档对象的数据来更新视和显示窗口.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLwrOb.html" rel="bookmark" class="title">360浏览器打不开怎么办</a>
					<div>
						  一直都是习惯性使用360浏览器,然而在系统重新完下载了360浏览器后却无法打开了.不知是何因原,打开之后无法显示网页,小编分析出现这样的问题可能是因为程序损坏,或是网络连接状态不正常,还有一种可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2AK5p.html" rel="bookmark" class="title">jQuery实现鼠标划过修改样式的方法</a>
					<div>
						 本文实例讲述了jQuery实现鼠标划过修改样式的方法.分享给大家供大家参考.具体如下: 1 2 3 4 5 6 7 8 9 10 11 12 $(document).ready(function ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAN8Lb.html" rel="bookmark" class="title">Photoshop给草地人物调出淡调蓝黄色技巧</a>
					<div>
						图片基本都是绿色,转蓝黄色的时候,需要把图片中的绿色转为较淡的橙黄色,暗部用曲线等增加蓝色.然后把整体稍微调淡即可. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开素材图片,创建可选颜色调整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYLroM.html" rel="bookmark" class="title">Win7待机时间如何设置</a>
					<div>
						  设置方法如下: 1.首先,单击&quot;开始&quot;找到&quot;控制面板&quot;. 2.打开&quot;控制面板&quot;以后,单击右侧的&quot;硬件和声音&quot;. 3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWG99p.html" rel="bookmark" class="title">教你两招轻松杀死顽固不化木马病毒进程</a>
					<div>
						根据进程名查杀 这种方法是通过WinXP系统下的taskkill命令来实现的,在使用该方法之前,首先需要打开系统的进程列表界面,找到病毒进程所对应的具体进程名. 接着依次单击&quot;开始→运行&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWGwLp.html" rel="bookmark" class="title">Win8如何删除快捷方式的箭头和盾牌小图标</a>
					<div>
						  从Win7开始,到Win8.Win10,桌面图标的快捷方式都有个小箭头,Win8的桌面图标快捷方式除了小箭头还有个盾牌.这个盾牌是UAC,用户账户控制. 呵呵,不大的一个图标上既有小箭头图标,又有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oKgBb.html" rel="bookmark" class="title">vmware卸载后无法重装&comma;因为有一个vmware&period;exe进程一直运行&period;但我一直找不到也杀不掉&period;</a>
					<div>
						问题描述 vmware卸载后无法重装,因为有一个vmware.exe进程一直运行.但我一直找不到也杀不掉. 能找的所有地方我都找过了,就是杀不掉这个进程,有没有人遇见过啊?这是怎么回事?应该怎么办?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7GRNM.html" rel="bookmark" class="title">转&Tab;海量小文件存储与Ceph实践</a>
					<div>
						海量小文件存储(简称LOSF,lots of small files)出现后,就一直是业界的难题,众多博文(如[1])对此问题进行了阐述与分析,许多互联网公司也针对自己的具体场景研发了自己的存储方案( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1llyjb.html" rel="bookmark" class="title">ASP&period;NET与傲游浏览器的极速模式的兼容性问题</a>
					<div>
						问题描述 最近在帮学校做项目,测试的时候发现ASP.NET与遨游浏览器的极速模式有很大的兼容性问题,但是在兼容模式下却一切正常,而遨游的默认模式是极速模式,这对大多数使用ASP.NET开发环境的开发人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5049M.html" rel="bookmark" class="title">hwnd-C&num;求大神给看看，句柄没问题，可以SengMessage，getGetWindowText取不到值</a>
					<div>
						问题描述 C#求大神给看看,句柄没问题,可以SengMessage,getGetWindowText取不到值 C#求大神给看看,句柄没问题,可以SengMessage,为什么不能getGetWindo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm5K6b.html" rel="bookmark" class="title">图像配准-function m&equals;func&lpar;~&comma;~&rpar;；提示可能为设置函数返回值&OpenCurlyDoubleQuote;m&rdquo;，怎么修改，新手求指点</a>
					<div>
						问题描述 function m=func(~,~):提示可能为设置函数返回值&quot;m&quot;,怎么修改,新手求指点 function m=func(~,~) im1=imread('E:im ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDePlBb.html" rel="bookmark" class="title">vs2013装entity framework，参数错误</a>
					<div>
						问题描述 vs2013装entity framework,参数错误 生成 Entity Framework Code First 提示 参数错误 hresult e_invalidarg 求帮助 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40dljz.html" rel="bookmark" class="title">一个SQL语句获得某人参与的帖子及在该帖得分总和&lowbar;MsSql</a>
					<div>
						select a.*,b.SumPoint from Expert_Topic_Index a,( select TopicID, Sum(Point) as SumPoint from expert ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZjDWz.html" rel="bookmark" class="title">android Fragment中嵌入ListView &comma;更新数据后，getview&lpar;&rpar;没被调用</a>
					<div>
						问题描述 android Fragment中嵌入ListView ,更新数据后,getview()没被调用 我是在vieapage里面嵌套listview的.viewpager是用fragment写的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYX5a5b.html" rel="bookmark" class="title">js json el-js获取el表达式对象问题</a>
					<div>
						问题描述 js获取el表达式对象问题 onclick=&quot;getData('${article}')&quot; article 是一个对象 function(article){ alert( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgP1dM.html" rel="bookmark" class="title">《Ext JS实战》&mdash;&mdash;1&period;2 需要知道的事项</a>
					<div>
						1.2 需要知道的事项 并不是说必须先是一个Web应用开发专家,然后才能用Ext JS进行开发.但是对于开发人员而言,在使用这个框架开始编写代码之前还是有一些核心的内容需要知道. 第一个技能就是对HT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk4erM.html" rel="bookmark" class="title">江西禁止运营商签订排他协议</a>
					<div>
						C114讯 10月10日早间消息(蒋均牧)江西省通信管理局就禁止签订通信建设排他性协议有关事宜,向省内各基础运营企业发出通知.此举主要为更好地推进江西电信基础设施共建共享工作,充分整合各基础电信运营企 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12oX3p.html" rel="bookmark" class="title">十个关于2013年的中国互联网关键字</a>
					<div>
						1.自媒体 榜语:自媒体其实本来不是新词,自媒体这个词汇在博客时代就已经是个响亮的词汇了.但是以微信为代表的新工具们,让自媒体重新焕发了生命第二春.因为这些新工具,自媒体如今又重新升起成为了香饽饽,各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKwV9p.html" rel="bookmark" class="title">微软WIN10免费升级&comma;中国盗版大国也该摘掉帽子了</a>
					<div>
						微软在Windows 10的发布会上宣布现有的Win7.8.1用户可以在Win10发布一年之内免费升级到这一版本,打破了公司数十年来的惯例,也赢得了业界广泛赞誉.只是微软并未公布升级计划的细节,也没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmjQqp.html" rel="bookmark" class="title">php操作redis缓存方法分享&lowbar;php实例</a>
					<div>
						php redis缓存操作 &lt;?php /** * Redis缓存操作 * @author hxm * @version 1.0 * @since 2015.05.04 */ class RCa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2oGyM.html" rel="bookmark" class="title">php目录删除创建遍历</a>
					<div>
						php教程目录删除创建遍历 实例目录结构:php执行文件与leaps教程oulcn目录处在同一级,创建的子目录处在leapsoulcn目录下. 第一步:使用php目录函数创建相关目录 复制代码 代码如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW73VrM.html" rel="bookmark" class="title">js中AppendChild与insertBefore的用法详细解析&lowbar;javascript技巧</a>
					<div>
						appendChild定义appendChild(newChild: Node) : NodeAppends a node to the childNodes array for the node.S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW5XEz.html" rel="bookmark" class="title">求ehcache 的群集配置</a>
					<div>
						问题描述 求ehcache 的群集配置 , 项目是用tomcat 做群集 ! 解决方案 http://wozailongyou.iteye.com/blog/230252					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEGZ0p.html" rel="bookmark" class="title">关于webservice问题&comma;请教高手</a>
					<div>
						问题描述 1.第一部分:&lt;soapenv:Envelopexmlns:soapenv=&quot;http://schemas.xmlsoap.org/soap/envelope/&quot;x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJ6VJM.html" rel="bookmark" class="title">《Java 2D游戏编程入门》&mdash;&mdash; 2&period;3 处理鼠标输入</a>
					<div>
						2.3 处理鼠标输入 SimpleMouseInput类位于javagames.util包中,它和前面小节中开发的键盘输入类非常相似.处理鼠标按键的方式与处理键盘按键的方式相同.实现MouseList ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
